<?php
/**
 * @package     CleverReach
 * @subpackage  cleverreach
 * @copyright   Copyright (C) 2019 CleverReach GmbH & Co. KG
 * @license     GNU General Public License version 2 or later
 * @since       1.0.0
 */

defined('_JEXEC') or die;

/**
 * @package     CleverReach
 *
 * @since       version
 */
class PlgUserCleverReachInstallerScript
{
	/**
	 * Runs right after any installation action is performed on the component.
	 *
	 * @param   string    $type   - Type of PostFlight action. Possible values are:
	 *                           - * install
	 *                           - * update
	 *                           - * discover_install
	 *
	 * @return void
	 *
	 * @since 1.0.0
	 */
	public function postflight($type)
	{
		if (strtolower($type) === 'install')
		{
			$db    = JFactory::getDbo();
			$query = $db->getQuery(true);

			$fields = array(
				$db->quoteName('enabled') . ' = 1',
				$db->quoteName('ordering') . ' = 9999'
			);

			$conditions = array(
				$db->quoteName('element') . ' = ' . $db->quote('cleverreach'),
				$db->quoteName('type') . ' = ' . $db->quote('plugin')
			);

			$query->update($db->quoteName('#__extensions'))->set($fields)->where($conditions);

			$db->setQuery($query);
			$db->execute();
		}
	}
}
