<?php
/**
 * @package     CleverReach
 * @subpackage  com_cleverreach
 * @copyright   Copyright (C) 2019 CleverReach GmbH & Co. KG
 * @license     GNU General Public License version 2 or later
 * @since       1.0.0
 */

use CleverReach\Infrastructure\TaskExecution\Task;
use CleverReach\Infrastructure\ServiceRegister;
use CleverReach\Infrastructure\Interfaces\Required\Configuration;

defined('_JEXEC') or die;

/**
 * @package     CleverReach
 *
 * @since       1.0.0
 */
class CleverreachServiceSyncSetDefaultNewsletterStatusTask extends Task
{
	/**
	 * Sets all users as subscribers if that option is set in plugin configuration.
	 *
	 * @return void
	 *
	 * @since 1.0.0
	 */
	public function execute()
	{
		/** @var CleverreachServiceInfrastructureConfig $configService */
		$configService = $this->getConfigService();
		$subscribeUsers = $configService->getDefaultRecipientStatus();

		$userRepository = new CleverreachRepositoryUser;
		$userRepository->setDefaultNewsletterStatus($subscribeUsers);

		$this->reportProgress(100);
	}
}
