<?php
/**
 * @package     CleverReach
 * @subpackage  com_cleverreach
 * @copyright   Copyright (C) 2019 CleverReach GmbH & Co. KG
 * @license     GNU General Public License version 2 or later
 * @since       1.0.0
 */

defined('_JEXEC') or die('Restricted Access');

$version = CleverreachController::JS_AND_CSS_VERSION;

JHtml::_('stylesheet', 'https://use.fontawesome.com/releases/v5.5.0/css/all.css');
JHtml::_('stylesheet', JUri::root() . 'media/com_cleverreach/css/cleverreach.css?version=' . $version);
JHtml::_('stylesheet', JUri::root() . 'media/com_cleverreach/css/cleverreach-icofont.css?version=' . $version);
JHtml::_('script', JUri::root() . 'media/com_cleverreach/js/cleverreach.ajax.js?version=' . $version);
JHtml::_('script', JUri::root() . 'media/com_cleverreach/js/cleverreach.authorization.js?version=' . $version);
JHtml::_('script', JUri::root() . 'media/com_cleverreach/js/cleverreach.status-checker.js?version=' . $version);
?>

<img class="cr-logo" src="<?php echo JUri::root() . 'media/com_cleverreach/img/logo_cleverreach.svg'; ?>">
<div class="cr-container">
	<?php
	JHtml::_('stylesheet', JUri::root() . 'media/com_cleverreach/css/cleverreach-dashboard.css?version=' . $version);
	JHtml::_('script', JUri::root() . 'media/com_cleverreach/js/cleverreach.dashboard.js?version=' . $version);
	?>
    <input type="hidden" id="cr-build-email-url" value="<?php echo $this->config['buildEmailUrl']; ?>">
    <input type="hidden" id="cr-build-first-email-url" value="<?php echo $this->config['buildFirstEmailUrl']; ?>">
    <input type="hidden" id="cr-retry-sync-url" value="<?php echo $this->config['retrySyncUrl']; ?>">

    <div class="cr-tab-wrapper">
        <div class="cr-dashboard-tab-wrapper">
            <button class="cr-dashboard-tab"><?php echo JText::_("{$this->prefix}TAB_NAME"); ?></button>
        </div>
        <div class="cr-pull-right">
            <a href="<?php print JText::_("{$this->prefix}HELP_AND_SUPPORT_LINK") ?>" target="_blank">
				<?php echo JText::_("{$this->prefix}HELP_AND_SUPPORT"); ?></a>
            <p class="cr-id"><?php echo sprintf(JText::_("{$this->prefix}CLEVERREACH_ID"), $this->config['cleverReachClientId']); ?></p>
        </div>
    </div>

    <div class="cr-content-window-wrapper">
	    <?php if ($this->syncFailed) : ?>
            <div class="cr-content-window">
                <img class="cr-icon" src="<?php echo JUri::root() . 'media/com_cleverreach/img/icon_quickstartmailing.svg' ?>"/>
                <h3>
				    <?php print JText::_("{$this->prefix}ERROR_PAGE_TITLE"); ?>
                </h3>
                <div class="cr-dashboard-text-wrapper cr-main-text">
                    <?php
                        print sprintf(JText::_("{$this->prefix}ERROR_PAGE_MESSAGE"), $this->config['initialSyncTaskFailureMessage']) . ' '
						. '<a target="_blank" href=' . JText::_("{$this->prefix}HELP_AND_SUPPORT_LINK") . '>' . JText::_("{$this->prefix}HELP_AND_SUPPORT") .  '</a>';
                    ?>
                </div>
                <button class="cr-action-buttons-wrapper cr-primary" id="cr-retrySync">
		            <?php echo JText::_("{$this->prefix}RETRY_SYNC_BUTTON_TEXT"); ?>
                </button>
            </div>
	    <?php else: ?>
            <div class="cr-dashboard-bloc">
                <div class="cr-dashboard-container
                    <?php if ($this->report['isReportEnabled']) : ?>
                        cr-has-import
                    <?php endif; ?>">

	                <?php if ($this->report['isReportEnabled']) : ?>
                        <div class="cr-import">
                            <svg viewBox="0 0 400 150"
                                 preserveAspectRatio="xMinYMin meet"
                                 style="stroke: none; fill: url('#cr-gradient')">
                                <path d="M0,130 C150,180 200,60 400,120 L400,00 L0,0 Z"
                                      style="stroke: none;"></path>
                                <defs>
                                    <linearGradient id="cr-gradient" x1="100%"
                                                    y1="0%" x2="0%" y2="100%">
                                        <stop offset="0%"
                                              stop-color="#0AE355"></stop>
                                        <stop offset="72%"
                                              stop-color="#00C562"></stop>
                                    </linearGradient>
                                </defs>
                            </svg>
                            <div class="cr-import-successful">
				                <?php print JText::_("{$this->prefix}IMPORT_WAS_SUCCESSFUL") ?>
                            </div>
                            <div class="cr-success-circle">
                                <i class="fa fa-check"></i>
                            </div>
                            <div class="cr-report-content">
                                <div class="cr-recipients">
                                    <div class="cr-dashboard-report-icon-large">
                                        <i class="fa fa-users"></i>
                                    </div>
                                    <div class="cr-dashboard-concrete-report">
                                        <div class="title">
							                <?php print JText::_("{$this->prefix}RECIPIENTS") ?>
                                        </div>
                                        <div class="value">
							                <?php print $this->report['recipients'] ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="cr-recipient-list">
                                    <div class="cr-dashboard-report-icon-large">
                                        <i class="fa fa-clipboard-list"></i>
                                    </div>
                                    <div class="cr-dashboard-concrete-report">
                                        <div class="title">
							                <?php print JText::_("{$this->prefix}RECIPIENT_LIST") ?>
                                        </div>
                                        <div
                                            class="value cr-integration-list"
                                            title="<?php print $this->report['name'] ?>"
                                        >
							                <?php print $this->report['name'] ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="cr-segments">
                                    <div class="cr-dashboard-report-icon-small">
                                        <i class="fa fa-tag"></i>
                                    </div>
                                    <div class="cr-dashboard-concrete-report">
                                        <div class="title">
							                <?php print JText::_("{$this->prefix}SEGMENTS") ?>
                                        </div>
						                <?php foreach ($this->report['tags'] as $tag) : ?>
                                            <?php print $tag ?>
						                <?php endforeach; ?>
                                    </div>
                                </div>
                            </div>
                            <div class="cr-gdpr">
                                    <a href="<?php print JText::_("{$this->prefix}GDPR_LINK") ?>"
                                       class="cr-link" target="_blank">
                                        <i><?php print JText::_("{$this->prefix}GDPR") ?></i>
                                    </a>
                            </div>
                        </div>
	                <?php endif; ?>


                    <!-- DASHBOARD CARD -->
                    <div class="cr-create">
                        <img class="cr-dashboard-logo"
                             src="<?php echo JUri::root() . 'media/com_cleverreach/img/cr_logo_transparent_107px.png' ?>"
                             alt="Logo">
                        <h3>
			                <?php print JText::_("{$this->prefix}{$this->transPart}_TIME_TITLE"); ?>
                        </h3>
                        <div class="cr-dashboard-text-wrapper cr-main-text">
			                <?php print JText::_("{$this->prefix}APPEALING_EMAILS"); ?>
                        </div>
                        <div class="cr-button-container">
                            <button class="cr-action-buttons-wrapper cr-primary" id="cr-buildEmail">
		                        <?php echo JText::_("{$this->prefix}BUILD_" . ($this->firstMail ? 'FIRST' : 'NEXT') . '_EMAIL_BUTTON_TEXT'); ?>
                            </button>
                        </div>
                    </div>
                    <!-- /DASHBOARD CARD -->
                </div>
                </div>
            </div>
        <?php endif; ?>
</div>
