<?php
/**
 * @package     CleverReach
 * @subpackage  com_cleverreach
 * @copyright   Copyright (C) 2019 CleverReach GmbH & Co. KG
 * @license     GNU General Public License version 2 or later
 * @since       1.0.0
 */

defined('_JEXEC') or die('Restricted Access');

$version = CleverreachController::JS_AND_CSS_VERSION;

JHtml::_('stylesheet', JUri::root() . 'media/com_cleverreach/css/cleverreach.css?version=' . $version);
JHtml::_('stylesheet', JUri::root() . 'media/com_cleverreach/css/cleverreach-icofont.css?version=' . $version);
JHtml::_('script', JUri::root() . 'media/com_cleverreach/js/cleverreach.ajax.js?version=' . $version);
JHtml::_('script', JUri::root() . 'media/com_cleverreach/js/cleverreach.authorization.js?version=' . $version);
JHtml::_('script', JUri::root() . 'media/com_cleverreach/js/cleverreach.status-checker.js?version=' . $version);
?>

<img class="cr-logo" src="<?php echo JUri::root() . 'media/com_cleverreach/img/logo_cleverreach.svg'; ?>">
<div class="cr-container">
	<?php
	JHtml::_('stylesheet', JUri::root() . 'media/com_cleverreach/css/cleverreach-initial-sync.css?version=' . $version);
	JHtml::_('script', JUri::root() . 'media/com_cleverreach/js/cleverreach.initial-sync.js?version=' . $version);
	?>
    <input type="hidden" id="cr-admin-status-check-url" value="<?php echo $this->config['statusCheckUrl']; ?>">

    <div data-task-list-panel>
        <ul class="cr-list-group">
			<?php foreach ($this->progressItems as $key => $title) : ?>
                <li class="cr-list-group-item disabled" data-task="<?php echo $key ?>">
                    <div class="cr-content-window-wrapper">
                        <div class="cr-content-window">
                            <i class="cr-icofont cr-icofont-circle">
                                <i class="cr-icofont cr-icofont-2x" aria-hidden="true"
                                   data-status="<?php echo $key ?>"></i>
                            </i>
                            <div class="cr-item">
                                <div class="cr-item-text"><?php echo $title ?></div>
                                <div class="cr-item-badge">
                                    <span class="cr-progress-text" data-progress="<?php echo $key ?>">0%</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </li>
			<?php endforeach; ?>
        </ul>
    </div>
</div>

