<?php
/**
 * @package     CleverReach
 * @subpackage  com_cleverreach
 * @copyright   Copyright (C) 2019 CleverReach GmbH & Co. KG
 * @license     GNU General Public License version 2 or later
 * @since       1.0.0
 */

defined('_JEXEC') or die('Restricted Access');

$version = CleverreachController::JS_AND_CSS_VERSION;

JHtml::_('stylesheet', JUri::root() . 'media/com_cleverreach/css/cleverreach.css?version=' . $version);
JHtml::_('stylesheet', JUri::root() . 'media/com_cleverreach/css/cleverreach-icofont.css?version=' . $version);
JHtml::_('script', JUri::root() . 'media/com_cleverreach/js/cleverreach.ajax.js?version=' . $version);
JHtml::_('script', JUri::root() . 'media/com_cleverreach/js/cleverreach.authorization.js?version=' . $version);
JHtml::_('script', JUri::root() . 'media/com_cleverreach/js/cleverreach.status-checker.js?version=' . $version);
?>

<img class="cr-logo" src="<?php echo JUri::root() . 'media/com_cleverreach/img/logo_cleverreach.svg'; ?>">
<div class="cr-container">
	<?php
	JHtml::_('stylesheet', JUri::root() . 'media/com_cleverreach/css/cleverreach-initial-sync-config.css?version=' . $version);
	JHtml::_('script', JUri::root() . 'media/com_cleverreach/js/cleverreach.initial-sync-config.js?version=' . $version);
	?>
    <div class="cr-content-window-wrapper">
        <input type="hidden" id="cr-configuration" value="<?php print $this->configurationUrl; ?>">

        <div class="cr-content-window">
            <img class="cr-welcome-icon" src="<?php echo JUri::root() .
				'media/com_cleverreach/img/icon_' . JText::_('COM_CLEVERREACH_WELCOME_SCREEN_HELLO_ICON') . '.png'; ?>">
            <div class="cr-configuration">
                <h3>
					<?php echo JText::_('COM_CLEVERREACH_CONFIGURATION'); ?>
                </h3>
                <label id="cr-syncLabel" for="cr-syncAsActive"> <input type="checkbox" id="cr-syncAsActive"/>
					<?php print JText::_('COM_CLEVERREACH_SUBSCRIBE_USERS_LABEL'); ?>
                </label>
                <i><?php print JText::_('COM_CLEVERREACH_SUBSCRIBE_USERS_DESCRIPTION'); ?></i>
            </div>

            <a data-success-panel-start-initial-sync class="cr-action-buttons-wrapper cr-primary" id="cr-startSync"
               tabindex="0" role="button">
				<?php print JText::_('COM_CLEVERREACH_SUBSCRIBE_USERS_START'); ?> →
            </a>
        </div>
    </div>
</div>