<?php
/**
 * @package     CleverReach
 * @subpackage  com_cleverreach
 * @copyright   Copyright (C) 2019 CleverReach GmbH & Co. KG
 * @license     GNU General Public License version 2 or later
 * @since       1.0.0
 */

use Joomla\CMS\Language\Text;

defined('_JEXEC') or die;

/**
 * @package     CleverReach
 *
 * @property  string $configurationUrl
 *
 * @since       1.0.0
 */
class CleverreachViewInitialsyncconfig extends JViewLegacy
{
	/**
	 * Display initial sync configuration view.
	 *
	 * @param   string $tpl The name of the template file to parse; automatically searches through the template paths.
	 *
	 * @return  void
	 *
	 * @since 1.0.0
	 */
	public function display($tpl = null)
	{
		$this->setInitialSyncConfigScreenParams();
		$this->addToolBar();

		parent::display($tpl);
	}

	/**
	 * Add the page title and toolbar.
	 *
	 * @return  void
	 *
	 * @since 1.0.0
	 */
	protected function addToolBar()
	{
		JToolbarHelper::title(Text::_('COM_CLEVERREACH_TOOLBAR_TITLE'), ' icon-envelope');
	}

	/**
	 * Sets parameters for initial sync screen.
	 *
	 * @return void
	 *
	 * @since 1.0.0
	 */
	private function setInitialSyncConfigScreenParams()
	{
		$this->configurationUrl = CleverreachUtilityHelper::getConfigurationUrl();
	}
}