<?php
/**
 * @package     CleverReach
 * @subpackage  com_cleverreach
 * @copyright   Copyright (C) 2019 CleverReach GmbH & Co. KG
 * @license     GNU General Public License version 2 or later
 * @since       1.0.0
 */

defined('_JEXEC') or die('Restricted Access');

$version = CleverreachController::JS_AND_CSS_VERSION;

JHtml::_('stylesheet', JUri::root() . 'media/com_cleverreach/css/cleverreach.css?version=' . $version);
JHtml::_('stylesheet', JUri::root() . 'media/com_cleverreach/css/cleverreach-icofont.css?version=' . $version);
JHtml::_('script', JUri::root() . 'media/com_cleverreach/js/cleverreach.ajax.js?version=' . $version);
JHtml::_('script', JUri::root() . 'media/com_cleverreach/js/cleverreach.authorization.js?version=' . $version);
JHtml::_('script', JUri::root() . 'media/com_cleverreach/js/cleverreach.status-checker.js?version=' . $version);
?>

<img class="cr-logo" src="<?php echo JUri::root() . 'media/com_cleverreach/img/logo_cleverreach.svg'; ?>">
<div class="cr-container">
	<?php
	JHtml::_('script', JUri::root() . 'media/com_cleverreach/js/cleverreach.welcome.js?version=' . $version);
	?>

    <input type="hidden" id="cr-auth-url" value="<?php echo $this->config['authUrl']; ?>">
    <input type="hidden" id="cr-check-status-url" value="<?php echo $this->config['checkStatusUrl']; ?>">
    <input type="hidden" id="cr-wakeup-url" value="<?php echo $this->config['wakeupUrl']; ?>">

    <div class="cr-loader-big">
        <span class="cr-loader"></span>
    </div>

    <div class="cr-connecting">
        <span>
            <?php echo JText::_('COM_CLEVERREACH_CONNECTING'); ?>
        </span>
    </div>

    <div class="cr-content-window-wrapper">
        <div class="cr-content-window">
            <img class="cr-icon"
                 src="<?php echo JUri::root() . 'media/com_cleverreach/img/icon_quickstartmailing.svg' ?>"/>
            <h3>
				<?php echo JText::_("{$this->prefix}TITLE") ?>
            </h3>
            <div class="cr-dashboard-text-wrapper cr-main-text">
				<?php
				echo sprintf(
					JText::_("{$this->prefix}MESSAGE"),
					$this->config['integrationName'],
					$this->config['clientId']
				);
				?>
            </div>
            <button class="cr-action-buttons-wrapper cr-primary" id="cr-log-account">
				<?php echo JText::_("{$this->prefix}BUTTON_TEXT"); ?>
            </button>
        </div>
    </div>
</div>