<?php
/**
 * @package     CleverReach
 * @subpackage  com_cleverreach
 * @copyright   Copyright (C) 2019 CleverReach GmbH & Co. KG
 * @license     GNU General Public License version 2 or later
 * @since       1.0.0
 */

defined('_JEXEC') or die('Restricted access');

class com_CleverreachInstallerScript
{
	/**
	 * This method is called when a component is being deleted.
	 *
	 * @param  \stdClass $parent - Parent object calling object.
	 *
	 * @return void
	 *
	 * @throws Exception
	 *
	 * @since 1.0.0
	 */
	public function uninstall($parent)
	{
		$app = JFactory::getApplication();
		$prefix = $app->get('dbprefix');
		$tables = JFactory::getDbo()->getTableList();

		if (function_exists('curl_init')
			&& in_array($prefix . 'cleverreach_config', $tables, true)
		)
		{
			$configRepository = new CleverreachRepositoryConfig();
			$accessToken      = $configRepository->getValue('CLEVERREACH_ACCESS_TOKEN');
			$integrationId    = $configRepository->getValue('CLEVERREACH_INTEGRATION_ID');
			$headers          = array(
				'accept'  => 'Accept: application/json',
				'content' => 'Content-Type: application/json',
				'token'   => 'Authorization: Bearer ' . $accessToken,
			);
			$curlSession      = curl_init();
			curl_setopt($curlSession, CURLOPT_CUSTOMREQUEST, 'DELETE');
			curl_setopt(
				$curlSession,
				CURLOPT_URL,
				'https://rest.cleverreach.com/hooks/eventhook/receiver?condition=' . $integrationId
			);
			curl_setopt($curlSession, CURLOPT_HTTPHEADER, $headers);
			curl_setopt($curlSession, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($curlSession, CURLOPT_FOLLOWLOCATION, true);
			curl_setopt($curlSession, CURLOPT_SSL_VERIFYPEER, false);
			curl_setopt($curlSession, CURLOPT_SSL_VERIFYHOST, false);
			curl_setopt($curlSession, CURLOPT_RETURNTRANSFER, true);
			curl_exec($curlSession);
		}

		$db = JFactory::getDbo();
		$query = "DROP TABLE IF EXISTS `{$prefix}cleverreach_config`";
		$db->setQuery($query);
		$db->execute();
	}
}
