<?php
/**
 * @package     CleverReach
 * @subpackage  com_cleverreach
 * @copyright   Copyright (C) 2019 CleverReach GmbH & Co. KG
 * @license     GNU General Public License version 2 or later
 * @since       1.0.0
 */

use CleverReach\Infrastructure\Logger\Logger;

defined('_JEXEC') or die('Restricted access');

try
{
	$app = JFactory::getApplication();

	switch ($app->input->get('task'))
	{
		case 'asyncProcessStart':
			$controller = new CleverreachControllerAsyncprocessstarter;
			$controller->run($app->input);
			break;
		case 'wakeUp':
			$controller = new CleverreachControllerBase;
			$controller->wakeUp();
			break;
		case 'searchableItems':
			$controller = new CleverreachControllerArticlesearch;
			$controller->searchableItems();
			break;
		case 'searchableItemSchema':
			$controller = new CleverreachControllerArticlesearch;
			$controller->searchableItemSchema($app->input);
			break;
		case 'search':
			$controller = new CleverreachControllerArticlesearch;
			$controller->search($app->input);
			break;
		case 'hookHandler':
			$controller = new CleverreachControllerEventhandler();
			$controller->handler($app->input);
			break;
		default:
			return;
	}
}
catch (Exception $e)
{
	Logger::logError($e->getMessage(), 'Integration');
}
